require 'smarter_dates'
require 'terminal-notifier'

%w(
  Task
  TaskList
).each { |name| require File.expand_path("../todoNotifier/#{name}", __FILE__) }

class TodoNotifier
  attr_accessor :tl
  def inRange(a, b, r)
    (((a.to_time - r).to_datetime < b) && ((a.to_time + r).to_datetime > b))
  end

  def initialize()
    self.tl = TaskList.new
  end

  def update()
    if self.tl.tasks[0]._d != nil
      if inRange(self.tl.tasks[0]._d, DateTime.now, 60)
        self.tl.tasks[0].notify()
        self.tl.tasks.shift
      end
    end
    sleep 60
  end
end
